Package be.fgov.ehealth.certra.protocol.v2

# Class GenerateCertificateResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.certra.protocol.v2.GenerateCertificateResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GenerateCertificateResponse extends StatusResponseType implements Serializable
Result of the generateCertificate operation: the web service returns the identifier associated with your request so that you know how to identify your request in the future, together with an indication of the validation status.

Java class for GenerateCertificateResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenerateCertificateResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="PublicKeyIdentifier" type="{urn:be:fgov:ehealth:etee:commons:core:v2}PublicKeyIdentifier"/>
             <element name="AutomaticallyValidated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="ReplacesCertificate" type="{urn:be:fgov:ehealth:etee:commons:core:v2}PublicKeyIdentifier" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateCertificateResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getPublicKeyIdentifier()`
  The unique identifier of the public key that has been registered and that will appear in the "Subject Key Identifier" extension of the delivered certificate.
  `byte[]`
  `getReplacesCertificate()`
  Optional element that contains the identifier of the public key of the certificate that will be replaced by the new certificate that will be generated.
  `Boolean`
  `isAutomaticallyValidated()`
  Indicates how the request was validated.
  `void`
  `setAutomaticallyValidated(Boolean value)`
  Sets the value of the automaticallyValidated property.
  `void`
  `setPublicKeyIdentifier(byte[] value)`
  Sets the value of the publicKeyIdentifier property.
  `void`
  `setReplacesCertificate(byte[] value)`
  Sets the value of the replacesCertificate property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenerateCertificateResponse

    public GenerateCertificateResponse()

- ## Method Details

  - ### getPublicKeyIdentifier

    public byte[] getPublicKeyIdentifier()
    The unique identifier of the public key that has been registered and that will appear in the "Subject Key Identifier" extension of the delivered certificate. This serves as a unique identifier of your certificate request.
    Returns:
      possible object is `String`

  - ### setPublicKeyIdentifier

    public void setPublicKeyIdentifier(byte[] value)
    Sets the value of the publicKeyIdentifier property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPublicKeyIdentifier()`

  - ### isAutomaticallyValidated

    public Boolean isAutomaticallyValidated()
    Indicates how the request was validated. If automatic then the CSR will immediately be forwarded to the CA, otherwise authorization will need to be manually checked by the support team (this will delay the certificate generation).
    Returns:
      possible object is `Boolean`

  - ### setAutomaticallyValidated

    public void setAutomaticallyValidated(Boolean value)
    Sets the value of the automaticallyValidated property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isAutomaticallyValidated()`

  - ### getReplacesCertificate

    public byte[] getReplacesCertificate()
    Optional element that contains the identifier of the public key of the certificate that will be replaced by the new certificate that will be generated. This replacement only occurs when a certificate exists for the same DN is close to its expiration date.
    Returns:
      possible object is `String`

  - ### setReplacesCertificate

    public void setReplacesCertificate(byte[] value)
    Sets the value of the replacesCertificate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReplacesCertificate()`